Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableInterceptor
Interface ServerRequestInfoOperations

All Superinterfaces:
  RequestInfoOperations

All Known Subinterfaces:
  ServerRequest, ServerRequestInfo

public interface ServerRequestInfoOperations
extends RequestInfoOperations

Interface definition : ServerRequestInfo

Author:
  OpenORB Compiler

Method Summary
`byte[]` | `adapter_id()` Read accessor for adapter_id attribute
`void` | `add_reply_service_context(ServiceContext service_context, boolean replace)` Operation add_reply_service_context
`Policy` | `get_server_policy(int type)` Operation get_server_policy
`byte[]` | `object_id()` Read accessor for object_id attribute
`Any` | `sending_exception()` Read accessor for sending_exception attribute
`void` | `set_slot(int id, Any data)` Operation set_slot
`boolean` | `target_is_a(java.lang.String id)` Operation target_is_a
`java.lang.String` | `target_most_derived_interface()` Read accessor for target_most_derived_interface attribute

Methods inherited from interface org.omg.PortableInterceptor.RequestInfoOperations
`arguments, contexts, exceptions, forward_reference, get_reply_service_context, get_request_service_context, get_slot, operation_context, operation, reply_status, request_id, response_expected, result, sync_scope`

Method Detail

### sending_exception

    public Any sending_exception()

  Read accessor for sending_exception attribute
  Returns:
    the attribute value

### object_id

    public byte[] object_id()

  Read accessor for object_id attribute
  Returns:
    the attribute value

### adapter_id

    public byte[] adapter_id()

  Read accessor for adapter_id attribute
  Returns:
    the attribute value

### target_most_derived_interface

    public java.lang.String target_most_derived_interface()

  Read accessor for target_most_derived_interface attribute
  Returns:
    the attribute value

### get_server_policy

    public Policy get_server_policy(int type)

  Operation get_server_policy

### set_slot

    public void set_slot(int id,
                         Any data)
                  throws InvalidSlot

  Operation set_slot

### target_is_a

    public boolean target_is_a(java.lang.String id)

  Operation target_is_a

### add_reply_service_context

    public void add_reply_service_context(ServiceContext service_context,
                                          boolean replace)

  Operation add_reply_service_context

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD